<?php

class userBO {

    function __construct() {
        
    }

    function __destruct() {
        
    }

    public function __set($campo, $valor) {
        $this->$campo = $valor;
    }

    public function __get($campo) {
        return $this->$campo;
    }

    public static function salvar($data, $table, $dbk = NULL) {
        try {
            return userDAO::salvar($data, $table, $dbk);
        } catch (Exception $err) {
            throw new Exception($err->getMessage() . ': ' . __FUNCTION__);
        }
    }

    public static function configUserPonto($apoio) {
        $getUser = userDAO::getUser($apoio);
        $porcentagem_limite = 0;
        if ($getUser) {
            $porcentagem_limite = 100 - $getUser->porcentagem;
        }
    }

}

?>